Index: southbridge/via/vt8237r/vt8237r_lpc.c
===================================================================
--- southbridge/via/vt8237r/vt8237r_lpc.c	(revision 2953)
+++ southbridge/via/vt8237r/vt8237r_lpc.c	(working copy)
@@ -222,6 +222,13 @@
 
 	/* SCI is generated for RTC/pwrBtn/slpBtn. */
 	outw(0x001, VT8237R_ACPI_IO_BASE + 0x04);
+
+	/* FIXME: Intel needs more bit set for C2/C3 */
+
+	/* Allow SLP# signal to assert LDTSTOP_L
+	 * Will work for C3 and for FID/VID change
+	 */
+	outb(0x1, VT8237R_ACPI_IO_BASE + 0x11);
 }
 
 static void vt8237r_init(struct device *dev)
Index: mainboard/asus/a8v-e_se/cache_as_ram_auto.c
===================================================================
--- mainboard/asus/a8v-e_se/cache_as_ram_auto.c	(revision 2953)
+++ mainboard/asus/a8v-e_se/cache_as_ram_auto.c	(working copy)
@@ -309,6 +309,12 @@
 #endif
 	init_timer();
 	ht_setup_chains_x(sysinfo);	// it will init sblnk and sbbusn, nodes, sbdn
+
+#if K8_SET_FIDVID == 1
+        enable_fid_change();
+        init_fidvid_bsp(bsp_apicid);
+#endif
+
 	needs_reset = optimize_link_coherent_ht();
 	needs_reset |= optimize_link_incoherent_ht(sysinfo);
 
